joint_names:
  - panda_joint1
  - panda_joint2
  - panda_joint3
  - panda_joint4
  - panda_joint5
  - panda_joint6
  - panda_joint7
arm_id: panda
# Configure the threshold angle for printing joint limit warnings.
joint_limit_warning_threshold: 0.1 # [rad]
# Activate rate limiter? [true|false]
rate_limiting: false
# Cutoff frequency of the low-pass filter. Set to >= 1000 to deactivate.
cutoff_frequency: 100
# Internal controller for motion generators [joint_impedance|cartesian_impedance]
internal_controller: joint_impedance
# Used to decide whether to enforce realtime mode [enforce|ignore]
realtime_config: ignore
# Configure the initial defaults for the collision behavior reflexes.
collision_config:
  lower_torque_thresholds_acceleration: [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0]  # [Nm]
  upper_torque_thresholds_acceleration: [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0]  # [Nm]
  lower_torque_thresholds_nominal: [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0]  # [Nm]
  upper_torque_thresholds_nominal: [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0]  # [Nm]
  lower_force_thresholds_acceleration: [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0]  # [N, N, N, Nm, Nm, Nm]
  upper_force_thresholds_acceleration: [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0]  # [N, N, N, Nm, Nm, Nm]
  lower_force_thresholds_nominal: [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0]  # [N, N, N, Nm, Nm, Nm]
  upper_force_thresholds_nominal: [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0]  # [N, N, N, Nm, Nm, Nm]
